BasicCheckBoxMenuItemUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicCheckBoxMenuItemUI class
Date: 2026-04-17

javax.swing.plaf.basic

## Class BasicCheckBoxMenuItemUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.MenuItemUI
      - - javax.swing.plaf.basic.BasicMenuItemUI
        - - javax.swing.plaf.basic.BasicCheckBoxMenuItemUI

-     public class BasicCheckBoxMenuItemUI
      extends BasicMenuItemUI

  BasicCheckboxMenuItem implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `BasicMenuItemUI.MouseInputHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicCheckBoxMenuItemUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent c)`
    `protected String` | `getPropertyPrefix()`
    `void` | `processMouseEvent(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredMenuItemSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicCheckBoxMenuItemUI

          public BasicCheckBoxMenuItemUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

    - #### getPropertyPrefix

          protected String getPropertyPrefix()

      Overrides:
        `getPropertyPrefix` in class `BasicMenuItemUI`

    - #### processMouseEvent

          public void processMouseEvent(JMenuItem item,
                                        MouseEvent e,
                                        MenuElement[] path,
                                        MenuSelectionManager manager)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.